Is now the time to bin KODI 16.1?

If you are running KODI 16.1 you will have probably noticed more and more issues as add ons change their encryption to SSL which sadly KODI 16.1 doesn't support. With this in mind now may well be the time to switch over to KODI 17.0. You cannot do this if you are running an android device below 5.0.

Check Out the Video below